<div class="container text-center">

  <button mat-button  mat-flat-button color="primary">Add Row</button>


<mat-form-field>
  <mat-label>Digite a procura</mat-label>
  <input matInput (keyup)="applyFilter($event)" placeholder="Digite a procura">
</mat-form-field>

<div class="mat-elevation-z8">
  <table mat-table [dataSource]="dataSource" matSort>

    <!-- ID Column -->
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> ID </th>
      <td mat-cell *matCellDef="let row"> {{row.id}} </td>
    </ng-container>

    <!-- Progress Column -->
    <ng-container matColumnDef="progress">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Progress </th>
      <td mat-cell *matCellDef="let row"> {{row.progress}}% </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Name </th>
      <td mat-cell *matCellDef="let row"> {{row.name}} </td>
    </ng-container>

    <!-- Color Column -->
    <ng-container matColumnDef="color">
      <th mat-header-cell *matHeaderCellDef mat-sort-header> Color </th>
      <td mat-cell *matCellDef="let row" [style.color]="row.color"> {{row.color}} </td>
    </ng-container>

     <!-- Get Details -->
     <!-- <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef> Ações </th>
      <td mat-cell *matCellDef="let editar"> <button mat-raised-button color="primary" >excluir</button> </td>
    </ng-container> -->


    <mat-icon aria-hidden="false" aria-label="Example home icon">home</mat-icon>


    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef> Action </th>
      <td mat-cell *matCellDef="let element" class="action-link">
        <a ><mat-icon> border_color</mat-icon></a> |
        <a ><mat-icon>restore_from_trash</mat-icon></a>
      </td>
    </ng-container>

    <!-- <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef> Action </th>
      <td mat-cell *matCellDef="let element" class="action-link">
        <a ><mat-icon aria-hidden="false" aria-label="Example home icon">editar</mat-icon></a>
        <mat-icon>home</mat-icon>
        <mat-icon>home</mat-icon>
                <a >Delete</a>
      </td>
    </ng-container> -->

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;">
    </tr>
  </table>

  <mat-paginator [length]="5" [pageSize]="5" [pageSizeOptions]="[5, 10, 25]">
  </mat-paginator>
</div>
</div>
